Bug 7283 - vfs_acl_tdb does not work as expected
vfs_acl_tdb does not work as expected
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: File services
3.5.1
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-23 10:48 UTC by Karolin Seeger
Modified: 2011-08-27 09:01 UTC (History)
0 users

See Also:


Attachments
smbd log file (134.38 KB, text/plain)
2010-03-23 10:51 UTC, Karolin Seeger
no flags Details
Fix for 3.5.2. (5.79 KB, patch)
2010-03-24 12:04 UTC, Jeremy Allison
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karolin Seeger 2010-03-23 10:48:13 UTC
When adding "vfs objects = acl_tdb" to the smb.conf, creating new files on a Samba share leads to smbd segfaults.
Comment 1 Karolin Seeger 2010-03-23 10:48:59 UTC
smb.conf:

[global]

        workgroup = SAMBA
        security = user

        log level = 10
        max log size = 0
        debug pid = yes
        debug hires timestamp = yes
        log file = /var/log/samba/log.%I

        vfs objects = acl_tdb

[tmp]
        path = /tmp
        writeable = yes

[test]
        path = /data/samba/test
        writeable = yes
Comment 2 Karolin Seeger 2010-03-23 10:51:01 UTC
Created attachment 5526 [details]
smbd log file
Comment 3 Karolin Seeger 2010-03-23 10:58:35 UTC
Error message: Service no longer available.
Two files will be created (usually, sometimes only one).

bando:/tmp # ls -al /data/samba/test/
insgesamt 8
drwxrwxrwx 2 root    root  4096 23. Mär 16:57 .
drwxrwxrwx 3 root    users 4096 23. Mär 15:18 ..
-rwxr-xr-x 1 kseeger users    0 23. Mär 16:52 Neu Bitmap (2).bmp
-rwxr-xr-x 1 kseeger users    0 23. Mär 16:52 Neu Bitmap.bmp
Comment 4 Karolin Seeger 2010-03-23 11:05:12 UTC
Cannot add valgrind output due to Bugzilla error messages.
Can send it directly if needed.
Comment 5 Karolin Seeger 2010-03-23 11:05:39 UTC
Reproduceable with current v3-5-test branch also.
Comment 6 Jeremy Allison 2010-03-23 19:26:56 UTC
Ok, I understand this. Patch to follow.
Jeremy.
Comment 7 Jeremy Allison 2010-03-24 12:04:07 UTC
Created attachment 5533 [details]
Fix for 3.5.2.
Comment 8 Jeremy Allison 2010-03-24 12:04:39 UTC
Karolin please test and apply if this fixes the problem for you. I will apply to master.

Jeremy.
Comment 9 Karolin Seeger 2010-03-25 03:00:54 UTC
(In reply to comment #8)
> Karolin please test and apply if this fixes the problem for you. I will apply
> to master.
> 
> Jeremy.
> 

Yes, your patch fixes the issue on my box! :-)
Thanks a lot, Jeremy!
Comment 10 Stefan Metzmacher 2010-03-25 03:42:10 UTC
Comment on attachment 5533 [details]
Fix for 3.5.2.

why the change in posix_acls.c?

why is the same tdb used by each share?
Comment 11 Jeremy Allison 2010-03-25 13:44:55 UTC
Oh, I didn't notice the posix_acls.c change. It fixes a valgrind error where it's complaining about src and dest beign identical in this assignment.

The same tdb is just the original design (by vl).

Jeremy.
Comment 12 Stefan Metzmacher 2010-03-30 03:22:46 UTC
Comment on attachment 5533 [details]
Fix for 3.5.2.

Looks ok to me
Comment 13 Karolin Seeger 2010-03-30 03:30:53 UTC
Pushed patch to v3-5-test.
Closing out bug report.

Thanks!